GNU bug report logs - #36356
27.0.50; linking error in git head on macos: _freea in libgnu

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: sds@HIDDEN; dated Mon, 24 Jun 2019 14:42:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36356 <at> debbugs.gnu.org:


Received: (at 36356) by debbugs.gnu.org; 25 Jun 2019 20:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 25 16:31:17 2019
Received: from localhost ([127.0.0.1]:33608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfs61-0002D6-GU
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 16:31:17 -0400
Received: from mo4-p00-ob.smtp.rzone.de ([85.215.255.24]:18433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1hfs5x-0002Ct-2U
 for 36356 <at> debbugs.gnu.org; Tue, 25 Jun 2019 16:31:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1561494671;
 s=strato-dkim-0002; d=clisp.org;
 h=References:In-Reply-To:Message-ID:Date:Subject:Cc:To:From:
 X-RZG-CLASS-ID:X-RZG-AUTH:From:Subject:Sender;
 bh=TCPdFSs8Njbhvvgj2HFP7w6VOjXXD3Qf9wDPbgftNUA=;
 b=cshkefFX3ZVcpNJwjkTsCJpsbcQ+kHW5/H3CJQphdRabRnYScl1WcGRtdmdlgnSqru
 ZCt44AgAcGdaNQ6sE7+OKiuxFDBP4ILIIkhIUJMo8Qzh2fZ5cO6es4l7czSsgBZTEota
 sQ2eXiNWDXd6PGEopiNpfMX4ymGnkEQBEodpnAk1SdcHb2GjdD89+NyRhh/zpx+nvgSP
 ADNFabXrEY8zA3bna2Q7JO3kAdezi5FmruIs6wgBkx7mEPWliBiIiGhFesAutv/awoih
 8QNqREkSHxywuClT0SUwUEAqjQpzpRTUED0F4NKhbWhlxVAZoNLzfbcODKEJyI2xPvvm
 gfdw==
X-RZG-AUTH: ":Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0y5RW"
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de by smtp.strato.de (RZmta 44.24 DYNA|AUTH)
 with ESMTPSA id v018bcv5PKV7LRS
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Tue, 25 Jun 2019 22:31:07 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: sds@HIDDEN
Subject: Re: macosx linking fails: _freea referenced from: _rpl_realpath
Date: Tue, 25 Jun 2019 22:31:06 +0200
Message-ID: <21394400.tQSnpGfqdS@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-151-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <m11rzhplle.fsf@HIDDEN>
References: <m1blylvjfr.fsf@HIDDEN> <1623858.kZGjtXDEHr@omega>
 <m11rzhplle.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36356
Cc: 36356 <at> debbugs.gnu.org, Daniel Colascione <dancol@HIDDEN>,
 bug-gnulib@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sam Steingold wrote:
> I re-run gnulib-tool and it fixed it.
> (alas, emacs maintainers pushed the changes before me ;-)

So, what was the cause? What can be done to avoid similar errors in the future?

When I look at the history of emacs/lib/gnulib.mk.in, it looks like
(1) there was a change that added dependencies to canonicalize-lgpl and malloca
    yesterday, but it did NOT add the variable gl_GNULIB_ENABLED_malloca.
(2) Paul regenerated it again, which added the variable gl_GNULIB_ENABLED_malloca.

(1) apparently introduced the problem that Sam reported. (2) fixed it.

Daniel, do you have an idea why your tooling created an incomplete
emacs/lib/gnulib.mk.in, that you then checked in?

Bruno





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36356; Package emacs. Full text available.

Message received at 36356 <at> debbugs.gnu.org:


Received: (at 36356) by debbugs.gnu.org; 25 Jun 2019 16:59:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 25 12:59:06 2019
Received: from localhost ([127.0.0.1]:33414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfomf-00070V-TD
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 12:59:06 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:46085)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hfome-000701-8r
 for 36356 <at> debbugs.gnu.org; Tue, 25 Jun 2019 12:59:04 -0400
Received: by mail-wr1-f49.google.com with SMTP id n4so18666706wrw.13
 for <36356 <at> debbugs.gnu.org>; Tue, 25 Jun 2019 09:59:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=zmOUAT+SCpEm+Fw+OQQfdQWrsSHUWXEFttm11/MGuHo=;
 b=C+z7r2h0Mo5ooonVkDDMPN2r63CqKERqU/C5EyjI/+a2pGcDFhS0I6BBHz4wVsFt5i
 FxNpOPYeqDQAgFvseC3rjOtJmVaibO54AA3B2ydqw2I+eGVDxZPzIUzKXOjO7S93FZIe
 5nrDE5WMT0h2rVNT0sxZT3uaUzgy6wx1Ru3pbFmPt5grtIEq8FAQCpo0B8YSXFdOjSc8
 FiHGScVPNy3VqagbNca2oe3ZjBJrt8HQAXa12xHQngRJIqInFggL5a43jCKKhbKb4e43
 mjkB4N5NY73TR8wqOtankMoIC7B3Hfe0ILDRI5W8GJWflLBJnia6/J7QtZzLtpDWOjuq
 vOKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=zmOUAT+SCpEm+Fw+OQQfdQWrsSHUWXEFttm11/MGuHo=;
 b=YH8vdieuOpd3jXQ1XrsubOR5bvPlkB1vhnti6bLujPRGbEVMgBb6ob/0UwOZj5C1zP
 o62bNhv0uxNA2Bgxl/Rw3ZETm9eMs6mbZ+ENFLvFeEh4CUTLmgmvhkRc/bJljw9S6egZ
 zLeb2eS21y2bs6HP8zr5ZpoIT+DA0BUpagGvH4C/2+AS2LNIECkNVbKtuQQQ1NzNiF14
 evY3eqhlCKzw5emRqEh7qksUlQV3CmlmowHWOqqrSlkqoWGV9xI6JtxfgszacVs96IgU
 BR9xsiCKzfoDJtO0qxI5onPy0OUYuElndrPKQcL7p/+b2YjmXy/uE8Nu4a2GvRmG/5x0
 siIw==
X-Gm-Message-State: APjAAAW3HFnHFIBdH8zT5gfnDmxQvHku4QHBCCHfYBvolTzY5rYt6yOB
 Swb1nKXxnUlXU00VKCearBjG05NOOuc=
X-Google-Smtp-Source: APXvYqymSJfhX1wAX9DzxiSLjesVVDhHcTW1ceuETj9bJT2dQR1dcHqIWyYurqCrCP8TelGi1zsJew==
X-Received: by 2002:a5d:49c4:: with SMTP id t4mr58755130wrs.318.1561481937901; 
 Tue, 25 Jun 2019 09:58:57 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:8840:9f8c:af5a:58c7])
 by smtp.gmail.com with ESMTPSA id l8sm31783677wrg.40.2019.06.25.09.58.56
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 25 Jun 2019 09:58:57 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#36356: 27.0.50;
 linking error in git head on macos: _freea in libgnu
References: <m1ftnzujue.fsf@HIDDEN> <m2a7e7rpp9.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 25 Jun 2019 18:58:56 +0200
In-Reply-To: <m2a7e7rpp9.fsf@HIDDEN> (Robert Pluim's message of "Mon, 24
 Jun 2019 17:02:58 +0200")
Message-ID: <m2o92lr48f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36356
Cc: 36356 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 24 Jun 2019 17:02:58 +0200, Robert Pluim <rpluim@HIDDEN> said:

>>>>> On Mon, 24 Jun 2019 10:41:13 -0400, Sam Steingold <sds@HIDDEN> said:
    Sam> "make bootstrap" fails with:
    Sam> CCLD     temacs
    Sam> Undefined symbols for architecture x86_64:
    Sam> "_freea", referenced from:
    Sam> _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
    Sam> ld: symbol(s) not found for architecture x86_64
    Sam> clang: error: linker command failed with exit code 1 (use -v to see invocation)
    Sam> make[2]: *** [temacs] Error 1
    Sam> make[1]: *** [src] Error 2
    Sam> make: *** [bootstrap] Error 2

Paul's commit 848ff94b45 on master has fixed this for me.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36356; Package emacs. Full text available.

Message received at 36356 <at> debbugs.gnu.org:


Received: (at 36356) by debbugs.gnu.org; 24 Jun 2019 15:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 11:28:47 2019
Received: from localhost ([127.0.0.1]:57622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfQtj-0006wg-Br
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 11:28:47 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:44383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1hfQth-0006wQ-Vu
 for 36356 <at> debbugs.gnu.org; Mon, 24 Jun 2019 11:28:46 -0400
Received: by mail-wr1-f67.google.com with SMTP id r16so14351618wrl.11
 for <36356 <at> debbugs.gnu.org>; Mon, 24 Jun 2019 08:28:45 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=99HXVa47vr5LwXyOydVNC5/pZ2ZyjgDmzVHB9EDzyBs=;
 b=bv8fU4c7bYi/sLnQ33JYtOdiNuZOGPacVr2hN19EvRqYFMicLq9QkGuylGpyY7+i/z
 /+fX8L2odIcs2KzHNx2ObwFYMx1KoKHHHoYUC60ll3wu9YwggFPjubn2JwXathW2esxG
 Q0S59/zO9jI3OwXwYp5TPQMnQmvzZppQIWNVIHbTabmxC77ocxL7/yJBVUsopW5EG2JZ
 KGqDn4+H64A4phFZxHq3tJ6fEB5/nCAutDuUv7HsrlFbBp2bwbsExB6XJRIBwKvlJN0r
 SO4JBmRCptkE6MNmlpk66Hj9ysfXRpgAhgs6PR80PJwDPfFw/DQhDHrHLbGXnyuq0xcM
 4MiQ==
X-Gm-Message-State: APjAAAUGlYkzpvvqGB7FdCtnzhZml0RMuAmuK623JXe8XBlYCVGILn/a
 iHqQOq/awtx3hrco3AG3i7xcNdyUwlNKPHVDiw==
X-Google-Smtp-Source: APXvYqyJAN8Tx8AXY/BkcbZ00G43irl+7mL9WSuYrQLEGk8U9iRc5IZJqQKVXhEW5aPQojH8q162AKKCCdFmS/brekE=
X-Received: by 2002:adf:f544:: with SMTP id j4mr39782001wrp.150.1561390117899; 
 Mon, 24 Jun 2019 08:28:37 -0700 (PDT)
MIME-Version: 1.0
References: <m1ftnzujue.fsf@HIDDEN> <m2a7e7rpp9.fsf@HIDDEN>
In-Reply-To: <m2a7e7rpp9.fsf@HIDDEN>
From: Sam Steingold <sds@HIDDEN>
Date: Mon, 24 Jun 2019 11:28:26 -0400
Message-ID: <CAFsbZ7aDAY9F6M4QXpHpge1-7GxOJVHZWU=Z+XRiUkEdSP9wRQ@HIDDEN>
Subject: Re: bug#36356: 27.0.50;
 linking error in git head on macos: _freea in libgnu
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 36356
Cc: Daniel Colascione <dancol@HIDDEN>, 36356 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Thanks, but `make` now fails with

/Library/Developer/CommandLineTools/usr/bin/make -C ../lisp update-subdirs

cp -f temacs bootstrap-emacs
rm -f bootstrap-emacs.pdmp
./temacs --batch  -l loadup --temacs=pbootstrap
dyld: lazy symbol binding failed: Symbol not found: _aligned_alloc
  Referenced from: /Users/sam.steingold/src/emacs/trunk/build/src/./temacs
  Expected in: /usr/lib/libSystem.B.dylib

dyld: Symbol not found: _aligned_alloc
  Referenced from: /Users/sam.steingold/src/emacs/trunk/build/src/./temacs
  Expected in: /usr/lib/libSystem.B.dylib

make[1]: *** [bootstrap-emacs.pdmp] Abort trap: 6
make: *** [src] Error 2

(while `make bootstrap` rewrites gnulib.mk)
When I disable _aligned_alloc in config.h, I get the _freea failure:


  CCLD     temacs
Undefined symbols for architecture x86_64:
  "_freea", referenced from:
      _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[1]: *** [temacs] Error 1
make: *** [src] Error 2




On Mon, 24 Jun 2019 at 11:03, Robert Pluim <rpluim@HIDDEN> wrote:
>
> >>>>> On Mon, 24 Jun 2019 10:41:13 -0400, Sam Steingold <sds@HIDDEN> said:
>
>     Sam> "make bootstrap" fails with:
>     Sam>   CCLD     temacs
>     Sam> Undefined symbols for architecture x86_64:
>     Sam>   "_freea", referenced from:
>     Sam>       _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
>     Sam> ld: symbol(s) not found for architecture x86_64
>     Sam> clang: error: linker command failed with exit code 1 (use -v to see invocation)
>     Sam> make[2]: *** [temacs] Error 1
>     Sam> make[1]: *** [src] Error 2
>     Sam> make: *** [bootstrap] Error 2
>
> I think you'll find the following works better as a temporary workaround:
>
> $ diff -u gnulib.mk gnulib.mk.new
> --- gnulib.mk   2019-06-24 17:01:19.655623952 +0200
> +++ gnulib.mk.new       2019-06-24 16:05:31.629871485 +0200
> @@ -1998,10 +1998,8 @@
>  ## begin gnulib module malloca
>  ifeq (,$(OMIT_GNULIB_MODULE_malloca))
>
> -ifneq (,$(gl_GNULIB_ENABLED_malloca))
>  libgnu_a_SOURCES += malloca.c
>
> -endif
>  EXTRA_DIST += malloca.h
>
>  endif



-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net>
<http://steingoldpsychology.com>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36356; Package emacs. Full text available.

Message received at 36356 <at> debbugs.gnu.org:


Received: (at 36356) by debbugs.gnu.org; 24 Jun 2019 15:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 11:03:08 2019
Received: from localhost ([127.0.0.1]:57591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfQUu-0006Jv-K0
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 11:03:08 -0400
Received: from mail-ed1-f46.google.com ([209.85.208.46]:45649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1hfQUs-0006JQ-Bp
 for 36356 <at> debbugs.gnu.org; Mon, 24 Jun 2019 11:03:07 -0400
Received: by mail-ed1-f46.google.com with SMTP id a14so22200903edv.12
 for <36356 <at> debbugs.gnu.org>; Mon, 24 Jun 2019 08:03:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=qIB/DXaLutiySWwp3dN5gZFmdYVSd4UGk1x+JhGPeMs=;
 b=MifUJJbXgpKi4Lu/d3BDGq3gzs9I7Iy15hjDqt86IrYswCwG/AhWxCDLbCbSkPoOLP
 5XNWQbbemDGlMlYQA24M/GdhCLBYfx9plAdRezA7RR/65fytFQIwiqLobEi2bzb0A19t
 iqKjzvVPK+DBj/5AYQeDMjP0TZ+t63OJ0Afs5MRZnmDT5rlxlS5eII0cl6NM6QLwq+Bd
 6HY2q6uCr4lDSxnL7PoCbAAEtW9+Fx4YXKEeIToaB5kgjkQJ8/e49eJIlsjAhRax/O59
 zBNOxvmkJRQ0IkoYypvE/rjgrmxVYnAzQfEWXBVDMbLg4o4+SBUshVEshty6F6r7gUwn
 WeNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=qIB/DXaLutiySWwp3dN5gZFmdYVSd4UGk1x+JhGPeMs=;
 b=Zr3eD6eKmTFbvTWuYqqUaeRreIhBCoShco78NOLJenwRl+3DvztkPFnFRa4BxstckD
 IBpC9ThgnCQ0o+mn8/mGnM2SvN8cNleZw7fVeDfc3yPF7HJZu2bXxrasY5vzU9tlk6ZJ
 gPRe5WcV0mlSh2bdqaDkIw9rLCTlU8ART2REtpWYy58pVbpl0dMRDHMTeB7bq1xkYwOM
 5C/KyZsh+8DtStzEryfNrHUfYQzlB61enTalAarV+kr1gc2ntKUKmFbaXq6rhzFL6++R
 kHeuVckMrMoYWFic8hLmk81FfD12YypRsU4LNp3CzeeAqv5wkxpnKEdYuvCcE3dpu2lz
 N9mg==
X-Gm-Message-State: APjAAAXunKFxYTsnLH8VOkjPDjfXBDXGn5YMgCO+TcESvHCqLU1CoT41
 8rSlTt2f18uKOFo4X/UlngE=
X-Google-Smtp-Source: APXvYqxKqV56mVet7LX4D13HuwxGV3kSrT44JTHISmYv+8MDwzFGXIp9H4oIidZNyN85RQtnXXV5uA==
X-Received: by 2002:a17:906:b216:: with SMTP id
 p22mr26454484ejz.273.1561388580528; 
 Mon, 24 Jun 2019 08:03:00 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id m4sm95906ejc.46.2019.06.24.08.02.58
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 24 Jun 2019 08:02:59 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#36356: 27.0.50;
 linking error in git head on macos: _freea in libgnu
References: <m1ftnzujue.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 24 Jun 2019 17:02:58 +0200
In-Reply-To: <m1ftnzujue.fsf@HIDDEN> (Sam Steingold's message of "Mon, 24 Jun
 2019 10:41:13 -0400")
Message-ID: <m2a7e7rpp9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36356
Cc: Daniel Colascione <dancol@HIDDEN>, 36356 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 24 Jun 2019 10:41:13 -0400, Sam Steingold <sds@HIDDEN> said:

    Sam> "make bootstrap" fails with:
    Sam>   CCLD     temacs
    Sam> Undefined symbols for architecture x86_64:
    Sam>   "_freea", referenced from:
    Sam>       _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
    Sam> ld: symbol(s) not found for architecture x86_64
    Sam> clang: error: linker command failed with exit code 1 (use -v to see invocation)
    Sam> make[2]: *** [temacs] Error 1
    Sam> make[1]: *** [src] Error 2
    Sam> make: *** [bootstrap] Error 2

I think you'll find the following works better as a temporary workaround:

$ diff -u gnulib.mk gnulib.mk.new
--- gnulib.mk	2019-06-24 17:01:19.655623952 +0200
+++ gnulib.mk.new	2019-06-24 16:05:31.629871485 +0200
@@ -1998,10 +1998,8 @@
 ## begin gnulib module malloca
 ifeq (,$(OMIT_GNULIB_MODULE_malloca))

-ifneq (,$(gl_GNULIB_ENABLED_malloca))
 libgnu_a_SOURCES += malloca.c

-endif
 EXTRA_DIST += malloca.h

 endif




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36356; Package emacs. Full text available.

Message received at 36356 <at> debbugs.gnu.org:


Received: (at 36356) by debbugs.gnu.org; 24 Jun 2019 15:02:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 11:02:00 2019
Received: from localhost ([127.0.0.1]:57586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfQTo-0006Hn-3x
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 11:02:00 -0400
Received: from mail-ed1-f67.google.com ([209.85.208.67]:45860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hfQTj-0006HY-7i
 for 36356 <at> debbugs.gnu.org; Mon, 24 Jun 2019 11:01:55 -0400
Received: by mail-ed1-f67.google.com with SMTP id a14so22195564edv.12
 for <36356 <at> debbugs.gnu.org>; Mon, 24 Jun 2019 08:01:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=yV/RC4riM2uPs/CB63y4f0XDThd6rtPqR41PomAiLf0=;
 b=sP8BfyrIocIkWt0DOTVkJa2NTNDLyJU/FjVEolhQqUS7PISr9FSDFDXN7BNo7F0Hz0
 29N6wJmG+Rli07TfvNuUvwUwQNJqyRSHdlQCpffXeZPSaYJ29DlgXKHfpk8M+2cXslVu
 5K6aEFIPhBQt8U9f7uTQvk6GjyOhPcJksZUF52OIgd/MQyoqz61HOJxFr0flQ+rW1lq6
 D33DLe33n4Qz+kM5yYUHgJAaDFoNVFCpFPwW/7hNoTdd7at72vp2KUMsrQhRDUILryn9
 LhEmpMXQsKIgmYgmezxNikfYTJC/ZzNAdV2QGg2uCg1InOdJ+lkaGoyuvduVCw9LN0WT
 1lWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yV/RC4riM2uPs/CB63y4f0XDThd6rtPqR41PomAiLf0=;
 b=RUs0dhT7M0gDpUDgz5mjVGQGsQxs26EkoD+uj+ifPoX1XsH1JiQT5ijPAt0VgS/SH+
 r3v4oKWO2YZXxxgGAKmp2sLbYcUQveBlN2GZkt5bRS9VoM8sggwxg1X7StX3Zq33QR2i
 jJYMZi9zpZ5yJbKcTTCG6oFIOtFfX15m5FVjgVzSeRGck/KBWYPzTkHIb4RGtkC2K/Id
 85IDb8f24SSb4/3HJhtQmOYxcp0MEB0SgvB5w8gC8oDIYDRsaO143rO/2WZczlm/noaA
 ZNZP9QEuAyHirKLCXclTjdwQgV9y01ZyJfyV/gzPN9JqHQHdY8ka7UVZSfeNfMTIUAcQ
 Pg0g==
X-Gm-Message-State: APjAAAWAh27Yt6aRkjVw+NKLVY2McyR5H2QHcuyjy4TbbZI3Ckq486jL
 WpvIiw6RcMwEDZz5PpcE+KR2Vw==
X-Google-Smtp-Source: APXvYqxruABG/u86EyorfQ1C6DQao5QfUl0ki4vYIkMkM4UpPJpcMobS0+MKGgoqSgSVwUs1Q8lizQ==
X-Received: by 2002:a17:906:9149:: with SMTP id
 y9mr68101973ejw.98.1561388508386; 
 Mon, 24 Jun 2019 08:01:48 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id j10sm1983519ejk.23.2019.06.24.08.01.47
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 24 Jun 2019 08:01:47 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#36356: 27.0.50;
 linking error in git head on macos: _freea in libgnu
References: <m1ftnzujue.fsf@HIDDEN>
Date: Mon, 24 Jun 2019 16:01:46 +0100
In-Reply-To: <m1ftnzujue.fsf@HIDDEN> (Sam Steingold's message of "Mon, 24 Jun
 2019 10:41:13 -0400")
Message-ID: <87mui72fj9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36356
Cc: 36356 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sam Steingold <sds@HIDDEN> writes:

> "make bootstrap" fails with:
>
>   CCLD     temacs
> Undefined symbols for architecture x86_64:
>   "_freea", referenced from:
>       _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
> ld: symbol(s) not found for architecture x86_64
> clang: error: linker command failed with exit code 1 (use -v to see invocation)
> make[2]: *** [temacs] Error 1
> make[1]: *** [src] Error 2
> make: *** [bootstrap] Error 2

See also:
https://lists.gnu.org/archive/html/emacs-devel/2019-06/msg00899.html

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36356; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jun 2019 14:41:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 10:41:39 2019
Received: from localhost ([127.0.0.1]:57566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfQA1-0005kQ-JQ
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 10:41:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:54889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1hfQ9v-0005kE-Tz
 for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 10:41:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58329)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1hfQ9u-0001G5-4E
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jun 2019 10:41:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sam.steingold@HIDDEN>) id 1hfQ9r-0003XF-6S
 for bug-gnu-emacs@HIDDEN; Mon, 24 Jun 2019 10:41:25 -0400
Received: from mail-qk1-x743.google.com ([2607:f8b0:4864:20::743]:36674)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <sam.steingold@HIDDEN>)
 id 1hfQ9n-0003S9-EB; Mon, 24 Jun 2019 10:41:19 -0400
Received: by mail-qk1-x743.google.com with SMTP id g18so9939932qkl.3;
 Mon, 24 Jun 2019 07:41:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:subject:return-receipt-to:reply-to:date:message-id
 :mime-version; bh=KGCJID/twOl1b3xUELFN6N2pSDvEbxeCBCj2yIUZSGU=;
 b=LLud5vw0xFsCGnikrrZt086zTCVi6LADerqJQwUYJxLCLRthMGTj0dDU5mCgsWH2oF
 l/2IBIZLWHh++X3hlmPT3ZynjiN3gauvudAwui041ZUPztjYeHcnBxaeo8gCt5spGie6
 6Y/a/YQLMzKGdbcWC04h0ahX/h31Wzr+hDu/Db9zclqztlu/FBYu8WjVdefZFVuPsU5e
 skruyHpQJRrxaUT1lj5ALFxO1LP2vRU/LfIkJvTyd71rBngsGd1Gn/g70efRi5qj7vap
 p46UYwyu6ZskC97z+TzCeoI7u1HLdsfcngfRImm1GKCWaCWIxvOTvms5PxXLT7fp9ooh
 TniQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:subject:return-receipt-to
 :reply-to:date:message-id:mime-version;
 bh=KGCJID/twOl1b3xUELFN6N2pSDvEbxeCBCj2yIUZSGU=;
 b=mhwDttmUy5hhgNffbQpP1pyksjW1ioheLub44BOvOlCpdaFqtVooRSVxvfjLrE56Rn
 xji/ZhSf+r9d7N//h17qYAy0oLTROmE1wx7hFtKn2xTbEeR4PFnVkgAx0XzCA+HhSdmV
 NojFyWPvEL22d+VmmQfOIdnyNEgTfINJ0SKtL1Eu6V5BeM65fr0OtmkHSh5X/feYExFg
 K3YF0yJCTbUI8y0YETRTqPTnfyJWgZBKNeXB9MWUZyuzayQtKQ0eHPxDRAQnBER4Cl9q
 g5/+wX7JnTC9Qg2ajQ0Nv8DvXYYdzA/FFFpsegYJlVTFVJScuWB6u9nD9v8hERcqkq3e
 bWPw==
X-Gm-Message-State: APjAAAXKzzFASAi/L1u3ZTZylkSMbl+NtbK6aXXVdNb88kzB7vmFmKMM
 gbOrINsZeTgGY0gM+hGX+JikUug=
X-Google-Smtp-Source: APXvYqyMTHNix9OPjnFUfqx8OzqDJbGb15qz+K/5hi7MeceIsLKkzbCEJU3nD9WUnp4e5lEk/04JNA==
X-Received: by 2002:a37:2d43:: with SMTP id t64mr16513409qkh.472.1561387277315; 
 Mon, 24 Jun 2019 07:41:17 -0700 (PDT)
Received: from BZ-C02XR5CGJG5L ([207.251.91.66])
 by smtp.gmail.com with ESMTPSA id q9sm5544358qkm.63.2019.06.24.07.41.15
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 24 Jun 2019 07:41:16 -0700 (PDT)
From: Sam Steingold <sds@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; linking error in git head on macos: _freea in libgnu
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Mon, 24 Jun 2019 10:41:13 -0400
Message-ID: <m1ftnzujue.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::743
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: "make bootstrap" fails with: --8<cut herestart>8--- CCLD
 temacs Undefined symbols for architecture x86_64: "_freea",
 referenced from: _rpl_realpath
 in libgnu.a(canonicalize-lgpl.o) ld: s [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: steingoldpsychology.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sam.steingold[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

"make bootstrap" fails with:

--8<---------------cut here---------------start------------->8---
  CCLD     temacs
Undefined symbols for architecture x86_64:
  "_freea", referenced from:
      _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [temacs] Error 1
make[1]: *** [src] Error 2
make: *** [bootstrap] Error 2
--8<---------------cut here---------------end--------------->8---

when I comment out HAVE_ALIGNED_ALLOC, HAVE_ALLOCA, HAVE_ALLOCA_H,
HAVE_DECL_ALIGNED_ALLOC in config.h, the error becomes

--8<---------------cut here---------------start------------->8---
  CCLD     temacs
Undefined symbols for architecture x86_64:
  "_mmalloca", referenced from:
      _rpl_realpath in libgnu.a(canonicalize-lgpl.o)
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[1]: *** [temacs] Error 1
make: *** [src] Error 2
--8<---------------cut here---------------end--------------->8---

This is, apparently, related to bug#36172.

As suggested there, I tried
`make bootstrap CC="gcc -mmacosx-version-min=10.14"`
and got the same _freea error.

I also got these warnings:

--8<---------------cut here---------------start------------->8---
  CC       alloc.o
../../src/alloc.c:1134:22: warning: 'aligned_alloc' is only available on macOS 10.15 or newer [-Wunguarded-availability-new]
      abase = base = aligned_alloc (BLOCK_ALIGN, ABLOCKS_BYTES);
                     ^~~~~~~~~~~~~
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/malloc/_malloc.h:50:10: note: 'aligned_alloc' has been marked as being introduced in macOS 10.15 here, but the deployment target is macOS 10.14.0
void    *aligned_alloc(size_t __alignment, size_t __size) __result_use_check __alloc_size(2) __OSX_AVAILABLE(10.15) __IOS_AVAILABLE(13.0) __TVOS_AVAILABLE(13.0) __WATCHOS_AVAILABLE(6.0);
         ^
../../src/alloc.c:1134:22: note: enclose 'aligned_alloc' in a __builtin_available check to silence this warning
      abase = base = aligned_alloc (BLOCK_ALIGN, ABLOCKS_BYTES);
                     ^~~~~~~~~~~~~
../../src/alloc.c:1288:12: warning: 'aligned_alloc' is only available on macOS 10.15 or newer [-Wunguarded-availability-new]
    return aligned_alloc (LISP_ALIGNMENT, size);
           ^~~~~~~~~~~~~
/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include/malloc/_malloc.h:50:10: note: 'aligned_alloc' has been marked as being introduced in macOS 10.15 here, but the deployment target is macOS 10.14.0
void    *aligned_alloc(size_t __alignment, size_t __size) __result_use_check __alloc_size(2) __OSX_AVAILABLE(10.15) __IOS_AVAILABLE(13.0) __TVOS_AVAILABLE(13.0) __WATCHOS_AVAILABLE(6.0);
         ^
../../src/alloc.c:1288:12: note: enclose 'aligned_alloc' in a __builtin_available check to silence this warning
    return aligned_alloc (LISP_ALIGNMENT, size);
           ^~~~~~~~~~~~~
2 warnings generated.
--8<---------------cut here---------------end--------------->8---



In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.6.0, NS appkit-1671.50 Version 10.14.5 (Build 18F203))
 of 2019-06-17 built on BZ-C02XR5CGJG5L
Repository revision: a07c647a2a0426e3e7380d279f4d469fcd3e913c
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1671
System Description:  Mac OS X 10.14.5

Configured using:
 'configure --with-mailutils --with-ns
 PKG_CONFIG_PATH=/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/imagemagick/lib/pkgconfig:/usr/local/opt/gnutls/lib/pkgconfig:/usr/local/opt/jansson/lib/pkgconfig'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS THREADS
JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: C
  locale-coding-system: utf-8-unix

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1671
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
http://camera.org http://www.dhimmitude.org http://thereligionofpeace.com
My other CAR is a CDR.




Acknowledgement sent to sds@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36356; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 25 Jun 2019 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.